Skip to main content
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
/
preview
Get preview for the table
curl --request GET \
  --url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/preview \
  --header 'Authorization: Bearer <token>'
{
  "start": 123,
  "row_count": 123,
  "columns": [
    "<string>"
  ],
  "next_start": 123,
  "data": [
    [
      "<unknown>"
    ]
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalog_name
string
required

Catalog name.

schema_name
string
required

Schema name.

table_name
string
required

Table name.

Query Parameters

limit
integer
default:20

Maximum number of rows to return (1–500). Default is 20.

Required range: 1 <= x <= 500

Response

Table altered successfully.

start
integer
required

The starting offset that is used for pagination when returning a subset of the dataset.

row_count
integer
required

The number of rows included in the current response.

columns
string[]
required

A list of column names representing the structure of the returned dataset.

next_start
integer | null

The offset value for the next page of data, if additional results are available.

data
any[][] | null

The actual tabular data returned, where each inner list represents a row of values.